Voro++: Class Hierarchy

Voro++

- Main Page
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Class Hierarchy
This inheritance list is sorted roughly, but not completely, alphabetically:
[detail level 123]

voro::c_loop_base | Base class for looping over particles in a container
voro::c_loop_all | Class for looping over all of the particles in a container
voro::c_loop_all_periodic | A class for looping over all particles in a container_periodic or container_periodic_poly class
voro::c_loop_order | Class for looping over all of the particles specified in a pre-assembled particle_order class
voro::c_loop_order_periodic | Class for looping over all of the particles specified in a pre-assembled particle_order class, for use with container_periodic classes
voro::c_loop_subset | Class for looping over a subset of particles in a container
voro::particle_order | A class for storing ordering information when particles are added to a container
voro::particle_record | Structure for holding information about a particle
voro::pre_container_base | A class for storing an arbitrary number of particles, prior to setting up a container geometry
voro::pre_container | A class for storing an arbitrary number of particles without radius information, prior to setting up a container geometry
voro::pre_container_poly | A class for storing an arbitrary number of particles with radius information, prior to setting up a container geometry
voro::radius_mono | Class containing all of the routines that are specific to computing the regular Voronoi tessellation
voro::container | Extension of the container_base class for computing regular Voronoi tessellations
voro::container_periodic | Extension of the container_periodic_base class for computing regular Voronoi tessellations
voro::radius_poly | Class containing all of the routines that are specific to computing the radical Voronoi tessellation
voro::container_periodic_poly | Extension of the container_periodic_base class for computing radical Voronoi tessellations
voro::container_poly | Extension of the container_base class for computing radical Voronoi tessellations
voro::unitcell | Class for computation of the unit Voronoi cell associated with a 3D non-rectangular periodic domain
voro::container_periodic_base | Class for representing a particle system in a 3D periodic non-orthogonal periodic domain
voro::container_periodic | Extension of the container_periodic_base class for computing regular Voronoi tessellations
voro::container_periodic_poly | Extension of the container_periodic_base class for computing radical Voronoi tessellations
voro::voro_base | Class containing data structures common across all particle container classes
voro::container_base | Class for representing a particle system in a three-dimensional rectangular box
voro::container | Extension of the container_base class for computing regular Voronoi tessellations
voro::container_poly | Extension of the container_base class for computing radical Voronoi tessellations
voro::container_periodic_base | Class for representing a particle system in a 3D periodic non-orthogonal periodic domain
voro::voro_compute< c_class > | Template for carrying out Voronoi cell computations
voro::voro_compute< voro::container > |
voro::voro_compute< voro::container_periodic > |
voro::voro_compute< voro::container_periodic_poly > |
voro::voro_compute< voro::container_poly > |
voro::voronoicell_base | A class representing a single Voronoi cell
voro::voronoicell | Extension of the voronoicell_base class to represent a Voronoi cell without neighbor information
voro::voronoicell_neighbor | Extension of the voronoicell_base class to represent a Voronoi cell with neighbor information
voro::wall | Pure virtual class from which wall objects are derived
voro::wall_cone | A class representing a conical wall object
voro::wall_cylinder | A class representing a cylindrical wall object
voro::wall_plane | A class representing a plane wall object
voro::wall_sphere | A class representing a spherical wall object
voro::wall_list | A class for storing a list of pointers to walls
voro::container_base | Class for representing a particle system in a three-dimensional rectangular box